Project

General

Profile

Feature #12395

Update to libdrm >= 2.4.97

Added by Aurélien Larcher 8 months ago. Updated 2 months ago.

Status:
New
Priority:
Normal
Start date:
Due date:
% Done:

80%

Estimated time:
Difficulty:
Medium
Tags:

Description

Required by recent Xorg and Mesa.
Currently tested with 2.4.99 but need to fix an issue with Intel adapters.


Related issues

Related to OpenIndiana Distribution - Bug #12964: Continuously reboot after installing the latest updateResolved

Actions
Related to Graphics/DRM - Bug #13053: Very serious graphic stack bugResolvedAlexander Pyhalov

Actions
#1

Updated by gh origin 2 months ago

Aurélien Larcher wrote:

Required by recent Xorg and Mesa.
Currently tested with 2.4.99 but need to fix an issue with Intel adapters.

So it could be the cause of issue 12964?

#2

Updated by gh origin 2 months ago

  • Related to Bug #12964: Continuously reboot after installing the latest update added
#3

Updated by gh origin 2 months ago

  • Related to Bug #13053: Very serious graphic stack bug added
#4

Updated by Aurélien Larcher 2 months ago

gh origin wrote:

Aurélien Larcher wrote:

Required by recent Xorg and Mesa.
Currently tested with 2.4.99 but need to fix an issue with Intel adapters.

So it could be the cause of issue 12964?

The graphic stack was not updated since 2020.04, only a few gcc-10 patches were pushed.
It seems we also have a report with NVidia which makes me wonder if the issue really lies in drm/intel...

#5

Updated by Aurélien Larcher 2 months ago

Although I have switched to gcc-7 on May 19.

#6

Updated by gh origin 2 months ago

Aurélien Larcher wrote:

gh origin wrote:

Aurélien Larcher wrote:

Required by recent Xorg and Mesa.
Currently tested with 2.4.99 but need to fix an issue with Intel adapters.

So it could be the cause of issue 12964?

The graphic stack was not updated since 2020.04, only a few gcc-10 patches were pushed.
It seems we also have a report with NVidia which makes me wonder if the issue really lies in drm/intel...

Yes. The problem is with the gfx-drm driver. Not this userspace libdrm.

Also available in: Atom PDF